# Class EquinoxLaunchConfiguration

java.lang.Object
org.eclipse.debug.core.model.LaunchConfigurationDelegate
org.eclipse.pde.launching.AbstractPDELaunchConfiguration
org.eclipse.pde.launching.EquinoxLaunchConfiguration

All Implemented Interfaces:
  `ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2`

public class EquinoxLaunchConfiguration extends AbstractPDELaunchConfiguration
A launch delegate for launching the Equinox framework

Clients may subclass and instantiate this class.

This class originally existed in 3.2 as `org.eclipse.pde.ui.launcher.EquinoxLaunchConfiguration`.

Since:
  3.6

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<String, List<IPluginModelBase>>`
`fAllBundles`

### Fields inherited from class AbstractPDELaunchConfiguration

`fConfigDir, shouldVMAddModuleSystem`

### Fields inherited from class LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

## Constructor Summary

Constructors
Constructor
Description
`EquinoxLaunchConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`clear(ILaunchConfiguration configuration, IProgressMonitor monitor)`
Clears the configuration area if the area exists and that option is selected.
`String[]`
`getProgramArguments(ILaunchConfiguration configuration)`
Returns the program arguments to launch with.
`protected void`
`validatePluginDependencies(ILaunchConfiguration configuration, IProgressMonitor monitor)`
Validates inter-bundle dependencies automatically prior to launching if that option is turned on.

### Methods inherited from class AbstractPDELaunchConfiguration

`getBuildOrder, getClasspath, getConfigDir, getEnvironment, getMainClass, getProjectsForProblemSearch, getVMArguments, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, isLaunchProblem, launch, manageLaunch, preLaunchCheck, setDefaultSourceLocator, showCommandLine, synchronizeManifests, updatePDELaunchConfigModuleSystem, validateProjectDependencies`

### Methods inherited from class LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, preLaunchCheck, saveBeforeLaunch`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fAllBundles

protected Map<String, List<IPluginModelBase>> fAllBundles

## Constructor Details

### EquinoxLaunchConfiguration

public EquinoxLaunchConfiguration()

## Method Details

### getProgramArguments

public String[] getProgramArguments(ILaunchConfiguration configuration) throws CoreException
Description copied from class: `AbstractPDELaunchConfiguration`
Returns the program arguments to launch with. This list is a combination of arguments computed by PDE based on attributes specified in the given launch configuration, followed by the program arguments that the entered directly into the launch configuration.

Overrides:
  `getProgramArguments` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - launch configuration
Returns:
  the program arguments necessary for launching
Throws:
  `CoreException` - if unable to retrieve the attribute or create the necessary configuration files

### validatePluginDependencies

protected void validatePluginDependencies(ILaunchConfiguration configuration, IProgressMonitor monitor) throws CoreException
Description copied from class: `AbstractPDELaunchConfiguration`
Validates inter-bundle dependencies automatically prior to launching if that option is turned on.

Overrides:
  `validatePluginDependencies` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - the launch configuration
  `monitor` - a progress monitor
Throws:
  `CoreException`

### clear

protected void clear(ILaunchConfiguration configuration, IProgressMonitor monitor) throws CoreException
Clears the configuration area if the area exists and that option is selected.

Overrides:
  `clear` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - the launch configuration
  `monitor` - the progress monitor
Throws:
  `CoreException` - if unable to retrieve launch attribute values
Since:
  3.3